PROGRAM WRITETEST
  
  IMPLICIT NONE ! 暗黙の型宣言の抑止
  INTEGER(8),PARAMETER :: NX=2,NY=3,NZ=4 ! 8バイトの整数型の定数の定義
  INTEGER(8) :: I,J,K ! 8バイトの整数型の変数の定義
  REAL(8) :: A(0:NX-1,0:NY-1,0:NZ-1) ! 倍精度実数型の3次元配列の定義
  INTEGER(8) :: B(0:NX-1,0:NY-1,0:NZ-1) ! 8バイトの整数型の3次元配列の定義

  DO I=0,NX-1
     DO J=0,NY-1
        DO K=0,NZ-1
           A(I,J,K)=100*I+10*J+K ! 3次元配列に値を代入
        END DO
     END DO
  END DO

  DO I=0,NX-1
     DO J=0,NY-1
        DO K=0,NZ-1        
           B(I,J,K)=-(100*I+10*J+K) ! 3次元配列に値を代入
        END DO
     END DO
  END DO

  OPEN(1,FILE='data.dat',FORM='UNFORMATTED',ACCESS='STREAM') ! 書き込み用ファイルを開く
  WRITE(1) A ! 配列Aを書き込み
  WRITE(1) B ! 配列Bを書き込み
  CLOSE(1) ! 書き込み用ファイルを閉じる

END PROGRAM WRITETEST
